Package ru.bitel.bgbilling.plugins.helpdesk.server.bean

# Class HelpDeskDirectoryManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.plugins.helpdesk.server.bean.HelpDeskDirectoryManager

public class HelpDeskDirectoryManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer`
  `plugin`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HelpDeskDirectoryManager(Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCategoryToGroup(int groupId, int categoryId)`
  `void`
  `addSubcategoryToCategory(int groupId, int categoryId, int subCategoryId)`
  `void`
  `deleteCategeryTitle(int id)`
  `void`
  `deleteCategoryToGroup(int groupId, int categoryId)`
  `void`
  `deleteGroupTitle(int id)`
  Удаление из справочника
  `void`
  `deleteSubCategeryTitle(int id)`
  `void`
  `deleteSubcategoryToCategory(int groupId, int categoryId, int subCategoryId)`
  `void`
  `getCategoryList(SearchResult<IdTitle> searchResult)`
  `void`
  `getCategoryListSelectAndAvailable(SearchResult<IdTitle> searchResultSelect, SearchResult<IdTitle> searchResultAvailable, int groupId)`
  `String`
  `getCategoryTitle(int categoryId)`
  Возвращает название категории по ее ИД
  `int`
  `getContractGroupId(int contractId)`
  Выдает номер группы к которой относится контракт
  `protected String`
  `getDBTableName(String name)`
  `void`
  `getGroupList(SearchResult<IdTitle> searchResult)`
  `List<IdTitle>`
  `getSubcategory(Collection<Integer> subcategoryIds)`
  Возвращает название подкатегории по ее ИД
  `List<IdTitle>`
  `getSubCategory(int groupId, int categoryId)`
  `Map<Integer,List<Integer>>`
  `getSubCategoryIds(int groupId)`
  Возвращает Map категорий со списком ID подкатегорий в для указанной группы
  `void`
  `getSubCategoryList(SearchResult<IdTitle> searchResult)`
  `void`
  `getSubCategoryListAvailableAndSelect(SearchResult<IdTitle> selectSubCategory, SearchResult<IdTitle> availableSubCategory, int groupId, int categoryId)`
  Позволяет получить списки "выбранных подкатегорий" и тех что еще можно выбрать.
  `boolean`
  `hasContractGroup(int contractId)`
  `int`
  `inspectionCategory(int categoryId)`
  Метод небюходим для проверки перед удалением категории.
  `int`
  `inspectionGroupContract(int groupId)`
  Метод небюходим для проверки перед удалением группы.
  `int`
  `inspectionSubcategory(int subcategoryId)`
  Метод небюходим для проверки перед удалением подкатегории.
  `void`
  `setCategorySubcategory(int categoryId, int subcategoryId, int topicId)`
  `void`
  `updateCategoryTitle(IdTitle idTitle)`
  `void`
  `updateContractGroup(int contractId, int groupId)`
  Производит запись или если есть уже запись производит ее обновление (в параметрах контракта, которая указывает принадлежность к группе)
  `void`
  `updateGroupTitle(IdTitle idTitle)`
  Создание либо изменение в справочнике
  `void`
  `updateSubCategoryTitle(IdTitle idTitle)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### plugin

    protected ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin

- ## Constructor Details

  - ### HelpDeskDirectoryManager

    public HelpDeskDirectoryManager(Connection con, ru.bitel.bgbilling.kernel.plugin.server.BGPluginServer plugin)

- ## Method Details

  - ### getDBTableName

    protected String getDBTableName(String name)

  - ### getGroupList

    public void getGroupList(SearchResult<IdTitle> searchResult) throws Exception
    Throws:
      `Exception`

  - ### getCategoryList

    public void getCategoryList(SearchResult<IdTitle> searchResult) throws Exception
    Throws:
      `Exception`

  - ### getSubCategoryList

    public void getSubCategoryList(SearchResult<IdTitle> searchResult) throws Exception
    Throws:
      `Exception`

  - ### getCategoryListSelectAndAvailable

    public void getCategoryListSelectAndAvailable(SearchResult<IdTitle> searchResultSelect, SearchResult<IdTitle> searchResultAvailable, int groupId) throws Exception
    Throws:
      `Exception`

  - ### getSubCategoryIds

    public Map<Integer,List<Integer>> getSubCategoryIds(int groupId) throws Exception
    Возвращает Map категорий со списком ID подкатегорий в для указанной группы
    Parameters:
      `groupId` -
    Returns:
      Map категорий

  - ### getSubCategoryListAvailableAndSelect

    public void getSubCategoryListAvailableAndSelect(SearchResult<IdTitle> selectSubCategory, SearchResult<IdTitle> availableSubCategory, int groupId, int categoryId) throws Exception
    Позволяет получить списки "выбранных подкатегорий" и тех что еще можно выбрать. Выбранные это те, что будут отображаться пользователю/менеджеру в качестве возможных для темы.
    Parameters:
      `selectSubCategory` - - результат для уже выбранных, может быть=null.
      `availableSubCategory` - - рузультат, данные категории могут быть добавленны в качестве возможных, может быть=null.
      `groupId` - - группа к которой относится договор в HD.
      `categoryId` - - категория для которой мы хотим молучить данные.
    Throws:
      `Exception`

  - ### updateGroupTitle

    public void updateGroupTitle(IdTitle idTitle) throws Exception
    Создание либо изменение в справочнике
    Parameters:
      `idTitle` -
    Throws:
      `Exception`

  - ### updateCategoryTitle

    public void updateCategoryTitle(IdTitle idTitle) throws Exception
    Throws:
      `Exception`

  - ### updateSubCategoryTitle

    public void updateSubCategoryTitle(IdTitle idTitle) throws Exception
    Throws:
      `Exception`

  - ### deleteGroupTitle

    public void deleteGroupTitle(int id) throws Exception
    Удаление из справочника
    Parameters:
      `id` -
    Throws:
      `Exception`

  - ### deleteCategeryTitle

    public void deleteCategeryTitle(int id) throws Exception
    Throws:
      `Exception`

  - ### deleteSubCategeryTitle

    public void deleteSubCategeryTitle(int id) throws Exception
    Throws:
      `Exception`

  - ### addCategoryToGroup

    public void addCategoryToGroup(int groupId, int categoryId) throws Exception
    Throws:
      `Exception`

  - ### addSubcategoryToCategory

    public void addSubcategoryToCategory(int groupId, int categoryId, int subCategoryId) throws Exception
    Throws:
      `Exception`

  - ### deleteCategoryToGroup

    public void deleteCategoryToGroup(int groupId, int categoryId) throws Exception
    Throws:
      `Exception`

  - ### deleteSubcategoryToCategory

    public void deleteSubcategoryToCategory(int groupId, int categoryId, int subCategoryId) throws Exception
    Throws:
      `Exception`

  - ### updateContractGroup

    public void updateContractGroup(int contractId, int groupId) throws Exception
    Производит запись или если есть уже запись производит ее обновление (в параметрах контракта, которая указывает принадлежность к группе)
    Parameters:
      `contractId` - - contract id
      `groupId` - - id Группы (которые в справочнике)
    Throws:
      `Exception`

  - ### setCategorySubcategory

    public void setCategorySubcategory(int categoryId, int subcategoryId, int topicId) throws Exception
    Throws:
      `Exception`

  - ### hasContractGroup

    public boolean hasContractGroup(int contractId) throws Exception
    Parameters:
      `contractId` - - contract id
    Returns:
      true если содержит, иначе fals.
    Throws:
      `Exception`

  - ### getContractGroupId

    public int getContractGroupId(int contractId) throws Exception
    Выдает номер группы к которой относится контракт
    Parameters:
      `contractId` - - contract id
    Returns:
      int - номер группы
    Throws:
      `Exception`

  - ### getCategoryTitle

    public String getCategoryTitle(int categoryId) throws Exception
    Возвращает название категории по ее ИД
    Parameters:
      `categoryId` -
    Returns:
      String - название категории
    Throws:
      `Exception`

  - ### getSubcategory

    public List<IdTitle> getSubcategory(Collection<Integer> subcategoryIds) throws Exception
    Возвращает название подкатегории по ее ИД
    Parameters:
      `subcategoryId` -
    Returns:
      String - название подкатегории
    Throws:
      `Exception`

  - ### inspectionGroupContract

    public int inspectionGroupContract(int groupId) throws Exception
    Метод небюходим для проверки перед удалением группы. Возвращает количество контрактов которые пренадлежат к данной группе.
    Parameters:
      `groupId` - - ИД группы
    Returns:
      int - кол-во контрактов, если количество более 0 то небходимо предупридить перед удалением пользователя.
    Throws:
      `Exception`

  - ### inspectionCategory

    public int inspectionCategory(int categoryId) throws Exception
    Метод небюходим для проверки перед удалением категории. Возвращает количество топиков в которых выставлена эта категория.
    Parameters:
      `categoryId` - - ИД категории
    Returns:
      int - кол-во топиков, если количество более 0 то небходимо запретить удаление.
    Throws:
      `Exception`

  - ### inspectionSubcategory

    public int inspectionSubcategory(int subcategoryId) throws Exception
    Метод небюходим для проверки перед удалением подкатегории. Возвращает количество топиков в которых выставлена эта подкатегория.
    Parameters:
      `subcategoryId` - - ИД подкатегории
    Returns:
      int - кол-во топиков, если количество более 0 то небходимо запретить удаление.
    Throws:
      `Exception`

  - ### getSubCategory

    public List<IdTitle> getSubCategory(int groupId, int categoryId) throws Exception
    Throws:
      `Exception`